Bug 158376 - RegExp unicode parsing reads an extra character before failing
Summary: RegExp unicode parsing reads an extra character before failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Oliver Hunt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-03 18:40 PDT by Oliver Hunt
Modified: 2016-06-06 10:30 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.96 KB, patch)
2016-06-03 18:44 PDT, Oliver Hunt
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.04 MB, application/zip)
2016-06-03 19:18 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-yosemite (804.38 KB, application/zip)
2016-06-03 19:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (656.15 KB, application/zip)
2016-06-03 19:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-yosemite (1.42 MB, application/zip)
2016-06-03 19:45 PDT, Build Bot
no flags Details
Patch (4.10 KB, patch)
2016-06-04 15:29 PDT, Oliver Hunt
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (842.59 KB, application/zip)
2016-06-04 16:16 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (827.37 KB, application/zip)
2016-06-04 16:19 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.42 MB, application/zip)
2016-06-04 16:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (632.13 KB, application/zip)
2016-06-04 16:36 PDT, Build Bot
no flags Details
Patch (4.18 KB, patch)
2016-06-05 20:43 PDT, Oliver Hunt
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (918.22 KB, application/zip)
2016-06-05 21:21 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (1.51 MB, application/zip)
2016-06-05 21:37 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (661.34 KB, application/zip)
2016-06-05 21:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews103 for mac-yosemite (810.19 KB, application/zip)
2016-06-05 21:41 PDT, Build Bot
no flags Details
Patch (4.75 KB, patch)
2016-06-06 09:42 PDT, Oliver Hunt
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Hunt 2016-06-03 18:40:57 PDT
RegExp unicode parsing reads an extra character before failing
Comment 1 Oliver Hunt 2016-06-03 18:44:05 PDT
Created attachment 280500 [details]
Patch
Comment 2 Build Bot 2016-06-03 19:18:45 PDT
Comment on attachment 280500 [details]
Patch

Attachment 280500 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1431532

New failing tests:
js/regexp-unicode.html
Comment 3 Build Bot 2016-06-03 19:18:49 PDT
Created attachment 280503 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-06-03 19:30:17 PDT
Comment on attachment 280500 [details]
Patch

Attachment 280500 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1431581

New failing tests:
js/regexp-unicode.html
Comment 5 Build Bot 2016-06-03 19:30:21 PDT
Created attachment 280504 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-06-03 19:39:54 PDT
Comment on attachment 280500 [details]
Patch

Attachment 280500 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1431584

New failing tests:
js/regexp-unicode.html
Comment 7 Build Bot 2016-06-03 19:39:58 PDT
Created attachment 280505 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 8 Build Bot 2016-06-03 19:45:08 PDT
Comment on attachment 280500 [details]
Patch

Attachment 280500 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1431597

New failing tests:
js/regexp-unicode.html
Comment 9 Build Bot 2016-06-03 19:45:12 PDT
Created attachment 280506 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 10 Oliver Hunt 2016-06-04 15:29:58 PDT
Created attachment 280531 [details]
Patch
Comment 11 Build Bot 2016-06-04 16:16:44 PDT
Comment on attachment 280531 [details]
Patch

Attachment 280531 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1436158

New failing tests:
js/regexp-unicode.html
Comment 12 Build Bot 2016-06-04 16:16:48 PDT
Created attachment 280536 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Mark Lam 2016-06-04 16:17:41 PDT
Comment on attachment 280531 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=280531&action=review

Can you look into why the EWS bots aren't happy?

> Source/JavaScriptCore/ChangeLog:8
> +        This was a probably harmless bug, but keeps triggering assertions

/a probably/probably a/.
Comment 14 Build Bot 2016-06-04 16:19:27 PDT
Comment on attachment 280531 [details]
Patch

Attachment 280531 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1436161

New failing tests:
js/regexp-unicode.html
Comment 15 Build Bot 2016-06-04 16:19:31 PDT
Created attachment 280537 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 16 Build Bot 2016-06-04 16:27:31 PDT
Comment on attachment 280531 [details]
Patch

Attachment 280531 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1436164

New failing tests:
js/regexp-unicode.html
Comment 17 Build Bot 2016-06-04 16:27:35 PDT
Created attachment 280538 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 18 Build Bot 2016-06-04 16:36:10 PDT
Comment on attachment 280531 [details]
Patch

Attachment 280531 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1436168

New failing tests:
js/regexp-unicode.html
Comment 19 Build Bot 2016-06-04 16:36:13 PDT
Created attachment 280539 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 20 Oliver Hunt 2016-06-05 20:43:14 PDT
Created attachment 280578 [details]
Patch
Comment 21 Mark Lam 2016-06-05 20:54:15 PDT
Comment on attachment 280578 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=280578&action=review

r=me with ChangeLog typo fix, and if EWS bots are happy.

> Source/JavaScriptCore/ChangeLog:8
> +        This was a probably harmless bug, but keeps triggering assertions

typo still there: /a probably/probably a/.
Comment 22 Build Bot 2016-06-05 21:21:16 PDT
Comment on attachment 280578 [details]
Patch

Attachment 280578 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1450181

New failing tests:
js/regexp-unicode.html
Comment 23 Build Bot 2016-06-05 21:21:19 PDT
Created attachment 280583 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 24 Build Bot 2016-06-05 21:37:01 PDT
Comment on attachment 280578 [details]
Patch

Attachment 280578 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1450178

New failing tests:
js/regexp-unicode.html
Comment 25 Build Bot 2016-06-05 21:37:05 PDT
Created attachment 280584 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 26 Build Bot 2016-06-05 21:39:04 PDT
Comment on attachment 280578 [details]
Patch

Attachment 280578 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1450228

New failing tests:
js/regexp-unicode.html
Comment 27 Build Bot 2016-06-05 21:39:08 PDT
Created attachment 280585 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 28 Build Bot 2016-06-05 21:41:13 PDT
Comment on attachment 280578 [details]
Patch

Attachment 280578 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1450251

New failing tests:
js/regexp-unicode.html
Comment 29 Build Bot 2016-06-05 21:41:17 PDT
Created attachment 280586 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 30 Oliver Hunt 2016-06-06 09:42:48 PDT
Created attachment 280601 [details]
Patch
Comment 31 Oliver Hunt 2016-06-06 10:30:04 PDT
Committed r201714: <http://trac.webkit.org/changeset/201714>